(function ($) {

	var path_wp = php_vars.path_wp;
	
	/**
	 * Author: Heather Corey
	 * jQuery Simple Parallax Plugin
	 *
	 */
	 
    $.fn.parallax = function(options) {
 
        var windowHeight = $(window).height();
 
        // Establish default settings
        var settings = $.extend({
            speed        : 0.15
        }, options);
 
        // Iterate over each object in collection
        return this.each( function() {
 
        	// Save a reference to the element
        	var $this = $(this);
 
        	// Set up Scroll Handler
        	$(document).scroll(function(){
 
    		        var scrollTop = $(window).scrollTop();
            	        var offset = $this.offset().top;
            	        var height = $this.outerHeight();
 
    		// Check if above or below viewport
			if (offset + height <= scrollTop || offset >= scrollTop + windowHeight) {
				return;
			}
 
			var yBgPosition = Math.round((offset - scrollTop) * settings.speed);
 
                 // Apply the Y Background Position to Set the Parallax Effect
    			$this.css('background-position', 'center ' + yBgPosition + 'px');
                
        	});
        });
    }
	
	
	$('.parallax-animation').parallax({ speed :	0.15 });
	
	/* Animate link to the top */
	
	$("a[href='#top']").click(function() {
	  $("html, body").animate({ scrollTop: 0 }, "slow");
	  return false;
	});
	
	/* Activate gallery */
	
	$('.gallery').magnificPopup({
        gallery:{enabled:true},
        delegate: 'a', // child items selector, by clicking on it popup will open
        type: 'image',
        // other options
    });	


    if ($(".page-template-page-templateshome-page-php")[0]){
	    
    	/* Scrollspy */

		$('body').scrollspy({ target: '#my-navbar' });
	 
	    $(".navbar-collapse ul li a[href^='#']").not(".dropdown a").on('click', function(e) {
		    
		   target = this.hash;

	       // prevent default anchor click behavior
	       e.preventDefault();

	       // animate
	       $('html, body').animate({
	           scrollTop: $(this.hash).offset().top
	         }, 1000, 'swing',function(){
	   
	           // when done, add hash to url
	           // (default click behaviour)
	           window.location.hash = target;
	         });
	         
	        $(".navbar-collapse").collapse('hide');

	    });

	} else {
	    
		/* Scrollspy in internal page */

	    $(".navbar-collapse ul li a[href^='#']").not(".dropdown a").on('click', function(e) {
		    
		   target = this.hash;

	       // prevent default anchor click behavior
	       e.preventDefault();

	       window.location.href = path_wp + target;

	    });

	}

}(jQuery));
