<?php 
/**
 * Template for displaying all pages
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site will use a
 * different template.
 *
 * @package swipy
 */
 get_header(); ?>	

 <div class="container">
		
	<div class="row">
				
		<main id="main" class="col-md-8 col-md-offset-2" role="main">	
					
			<?php if (have_posts()) :?><?php while(have_posts()) : the_post(); ?>
				
				<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>	
				 
					<div class="content-article">
		
						<h1 class="huge text-center"><?php the_title(); ?></h1>
						<?php  /* If exist show subtitle */
	                    $subtitle = get_post_meta( get_the_ID(), 'meta-text', true );
	                    echo ( ! empty( $subtitle ) ) ? '<h2 class="big margin-bottom text-center">' . $subtitle . '</h2>' : '<div class="small-spacer"></div>';
	                    ?>
				
						<?php if ( has_post_thumbnail() ) { ?>
			                <?php the_post_thumbnail('single', array('class' => 'img-res','alt'	=> get_the_title())); ?>
			            <?php } ?>
			            
			            <?php the_content(__('Read More...', 'swp'));?>
			            
					</div>	
				
				</article>
								
			<?php endwhile; ?>
	        <?php else : ?>

	                <p><?php _e('Sorry, no posts matched your criteria.', 'swp'); ?></p>
	         
	        <?php endif; ?> 
	               
		</main>	

	</div>

</div>
	


<?php get_footer(); ?>
