<?php
/*
    Plugin Name: Swipy Plugin Bundle
    Plugin URI: http://marchettidesign.net/
    Description: This is bundle plugin for Swipy Theme.
    Author: Andrea Marchetti
    Author URI: http://marchettidesign.net/
    Version: 0.1
    Text Domain: swipy-plugin
    License: GPL version 2 or later - http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
*/


/* ------------------------------------------------------------------------- *
 *  Make plugin available for translation
/* ------------------------------------------------------------------------- */     

function swppb_init() {
    load_plugin_textdomain('swipy-plugin', false, dirname( plugin_basename( __FILE__ ) ) . '/languages'  );
}
add_action('plugins_loaded', 'swppb_init');


/* ------------------------------------------------------------------------- *
 *  Load admin css
/* ------------------------------------------------------------------------- */  

if ( ! function_exists( 'swppb_admin_styles' ) ) {
    
    function swppb_admin_styles(){
        /* global $typenow;
        if( $typenow == 'post' ) { */
             wp_enqueue_style( 'admincss', plugins_url( '/css/admin.css' , __FILE__ ));
        /* } */
    }
    
}
add_action( 'admin_print_styles', 'swppb_admin_styles' );


/* ------------------------------------------------------------------------- *
 *  Load scripts image widget
/* ------------------------------------------------------------------------- */  

function swppb_image_upload_scripts() {

    global $pagenow, $wp_customize;

    if ( 'widgets.php' === $pagenow || isset( $wp_customize ) ) {

        wp_enqueue_media();
        wp_enqueue_script( 'swppb-image-upload', trailingslashit( plugin_dir_url( __FILE__ ) ) . 'js/upload.js', array( 'jquery' ) );
        wp_enqueue_style( 'swppb-image-upload',  trailingslashit( plugin_dir_url( __FILE__ ) )  . 'css/upload.css' );


    }

}
add_action( 'admin_enqueue_scripts', 'swppb_image_upload_scripts' );


/* ------------------------------------------------------------------------- *
 *  Include Plugin File
/* ------------------------------------------------------------------------- */

    include('inc/metabox-pages.php');  
    include('inc/widget-image.php');
    include('inc/widget-page.php');
    include('inc/widget-slider.php');
    

/* ------------------------------------------------------------------------- *
 *  Functions
/* ------------------------------------------------------------------------- */  

    // function to slide

    function loopSliderBox($idPageSlideToShow, $FirstSlide) {

        /* Slide */

        if($idPageSlideToShow != '') { // if page is selected show the page 

            $loopPage = new WP_Query();
            $loopPage->query('page_id='. $idPageSlideToShow); // id page selcted

            if ($loopPage->have_posts()) : while($loopPage->have_posts()) : $loopPage->the_post(); ?>

                <?php /* Image */ 

                $image_url =  wp_get_attachment_image_src( get_post_thumbnail_id( $idPageSlideToShow ), 'big' ); ?>

                <div class="slider-cell <?php if($FirstSlide == true ){ echo 'parallax-animation'; } ?>" style="background:url('<?php echo  $image_url[0]; ?>') no-repeat top center <?php if($FirstSlide == true ){ echo 'fixed'; } ?>; background-size: cover;">
                    <div class="fill"></div>
                    <div class="container">
                        <div class="slider-caption">
                            <div class="inside-caption">
                                <h2><?php the_title(); ?></h2>
                                <?php  /* If exist show subtitle */
                                $subtitle = get_post_meta( get_the_ID(), 'meta-text', true );
                                echo ( ! empty( $subtitle ) ) ? '<h3>' . $subtitle . '</h3>' : '';
                                ?>
                                <a href="<?php the_permalink(); ?>" class="btn-call"><?php _e('Discover more <i class="fa fa-angle-right"></i>','swipy-plugin');?></a>
                            </div>
                        </div>     
                    </div>
                </div>
            <?php endwhile; endif; wp_reset_query(); 

        } else { ?>

            <div class="slider-cell">
                <div class="slider-caption">
                        
                    <h2 class="text-center"> Please Select a Page in the <a href="<?php echo get_bloginfo('url'); ?>/wp-admin/widgets.php">Widget</a>. </h2>
                 
                </div>
            </div>

        <?php } 

    }

?>